<script type="text/javascript">
//<![CDATA[
Jsw.namespace('Smb.Views.Web');

Smb.Views.Web.updateSiteCopyStatus = function() {
    new Ajax.Request(Jsw.baseUrl + '/web/site-copy-status/taskId/<?php echo $this->siteCopyTaskId; ?>', {
        method: 'get',
        parameters: {},
        onSuccess: function(transport) {
            var result = transport.responseText.evalJSON();

            if ('running' == result.status) {
                setTimeout("Smb.Views.Web.updateSiteCopyStatus()", 10000);
            } else {
                $('siteCopyProgress').remove();
                if ('ok' == result.status) {
                    Jsw.addStatusMessage('info', result.message);
                } else {
                    Jsw.addStatusMessage('error', result.message);
                }
            }
        }
    });
}

Jsw.onReady(function() {
    <?php if ($this->isSiteCopyTaskRunning): ?>
        Jsw.addStatusMessage(
            'progress',
            <?php echo $this->jsEscape($this->siteCopyTaskTitle); ?>,
            { 'id': 'siteCopyProgress' }
        );

        setTimeout("Smb.Views.Web.updateSiteCopyStatus()", 10000);
    <?php endif; ?>

    new Jsw.Container({
        renderTo: 'main',
        items: [{
            componentType: 'Jsw.Hint',
            hint: <?php echo $this->jsLmsg('buttonsAreaDescription'); ?>
        }, {
            componentType: 'Jsw.ListContainer',
            id: 'main-operations-list',
            cls: 'tools-list',
            itemClass: 'tools-item',
            items: <?php echo $this->bigButtons; ?>
        }
        <?php if ($this->smallButtons): ?>
        , {
            componentType: 'Jsw.Panel',
            id: 'advancedPanel',
            title: <?php echo $this->jsLmsg('showAdvancedOperations'); ?>,
            hideContentTitle: <?php echo $this->jsLmsg('hideAdvancedOperations'); ?>,
            cls: 'tools-list-box operations-list-box',
            hidden: true,
            items: [{
                componentType: 'Jsw.ListContainer',
                cls: 'tools-list',
                itemClass: 'tools-item',
                emptyItemClass: 'tools-item-empty',
                items: <?php echo $this->smallButtons; ?>
            }]
        }
        <?php endif; ?>
        ]
    });

    <?php if ($this->toolbarItems): ?>
        new Jsw.Container({
            renderTo: 'toolbar-content',
            tag: 'span',
            items: <?php echo $this->toolbarItems ?>
        });
    <?php endif; ?>

    new Jsw.Panel({
        cls: 'list-box',
        renderTo: 'main',

        items: [
            new Jsw.Hint({
                hint: <?php echo $this->sitesList->jsLmsg('listDescription'); ?>
            }),

            new Jsw.List({
                id: 'sites-list',
                searchable: false,
                disabledSelectHint: <?php echo $this->sitesList->jsLmsg('disabledSelectHint');?>,
                data: <?php echo Zend_Json::encode($this->sitesList->fetchData()); ?>,
                dataUrl: '/web/list-data',

                isDisabledItem: function(item) {
                    return !item.isRemovable;
                },

                columns: [
                    <?php if (($this->allowCreateDomain || $this->allowManageSubdomain || $this->allowManageDomainAliases)): ?>
                    Jsw.list.COLUMN_SELECTION,
                    <?php endif; ?>
                    {
                        header: <?php echo $this->sitesList->jsLmsg('domainHeader'); ?>,
                        sortable: true,
                        dataIndex: 'displayName',
                        renderer: function(item) {
                            var inactivitySign = item.statusInactive
                                ? '<b>inactive</b>'
                                : '';

                            var link = '<a href="' + Jsw.baseUrl + item.setupUrl + '">'
                                 + item.displayName.escapeHTML() + '</a>';

                            if (item.mainDomain) {
                                link = '<strong class="primary-domain">' + link + '</strong>';
                            }

                            if (item.statusInactive) {
                                link = link
                                    + '<div class="hint-attention">'
                                    + <?php echo $this->sitesList->jsLmsg('inactive'); ?>
                                    + '</div>';
                            }

                            if (item.maintenanceMode) {
                                link = link
                                    + '<div class="hint-attention">'
                                    + <?php echo $this->sitesList->jsLmsg('maintenance'); ?>
                                    + ' <a href="' + Jsw.baseUrl + item.maintenanceModeUrl + '">'
                                        + <?php echo $this->sitesList->jsLmsg('changeMaintenanceMode'); ?>
                                    + '</a>'
                                    + '</div>';
                            }

                            if (item.isSubdomain || item.isDomainAlias) {
                                link = '<div class="level1">' + link + '</div>';
                            }

                            return link;
                        }
                    },
                    {
                        header: <?php echo $this->sitesList->jsLmsg('hostingHeader'); ?>,
                        sortable: false,
                        renderer: function(item) {
                            var message = '';

                            if (item.hostingType == 'vrt_hst') {

                                var webrootDir = item.webrootDir;

                                if (item.filemanagerUrl) {
                                    webrootDir = '<a href="' + Jsw.baseUrl + item.filemanagerUrl + '">'
                                        + item.webrootDir
                                        + '</a>';
                                }

                                message = '<img src="' + Jsw.skinUrl + '/img/icons/small/website_16.gif"/>'
                                    + ' '
                                    + <?php echo $this->sitesList->jsLmsg('websiteAt'); ?>
                                    + ' '
                                    + webrootDir;

                            } else if (item.hostingType == 'none') {
                                message = '<img src="' + Jsw.skinUrl + '/img/icons/small/spacer_16.gif" />'
                                    + '<em class="hint">' + <?php echo $this->sitesList->jsLmsg('noHosting'); ?> + '</em>';
                                <?php if ($this->showAddHostingButton): ?>
                                    message += ' '
                                        + '<a href="' + Jsw.baseUrl + item.changeHostingUrl + '">['
                                        + <?php echo $this->sitesList->jsLmsg('add') ?>
                                        + ']</a>';
                                <?php endif ?>

                            } else if (item.hostingType == 'frm_fwd' || item.hostingType == 'std_fwd') {

                                message = '<img src="' + Jsw.skinUrl + '/img/icons/small/forward-to-dom_16.gif"/>'
                                    + ' '
                                    + <?php echo $this->sitesList->jsLmsg('forwardingTo'); ?>
                                    + ' '
                                    + '<a href="' + item.forwardingUrl.escapeHTML() + '" target="_blank">'
                                    + item.forwardingUrlHost.escapeHTML()
                                    + '</a>';
                            } else if (item.isDomainAlias) {
                                message = '<img src="' + Jsw.skinUrl + '/img/icons/small/dom-aliases_16.gif"/>'
                                    + ' '
                                    + item.description;
                            }
                            return message;
                        }
                    },
                    {
                        header: '',
                        cls: 'action-icon-set t-r',
                        renderer: function(item) {

                            var content = '';

                            content += !item.previewUrl
                                ? '<img src="' + Jsw.skinUrl + '/img/icons/small/spacer_16.gif" /> '
                                : '<span>'
                                    + '<span class="tooltipData">'
                                    + <?php echo $this->sitesList->jsLmsg('previewHint'); ?>
                                    + '</span>'
                                    + '<a href="#" onclick=\'' + item.previewUrl + '\'>'
                                    + '<img src="' + Jsw.skinUrl + '/img/icons/small/preview_16.gif"/>'
                                    + '</a>'
                                    + '</span> ';

                            content += !item.filemanagerUrl
                                ? '<img src="' + Jsw.skinUrl + '/img/icons/small/spacer_16.gif" /> '
                                : '<span>'
                                    + '<span class="tooltipData">'
                                    + <?php echo $this->sitesList->jsLmsg('manageFilesHint'); ?>
                                    + '</span>'
                                    + '<a href="' + Jsw.baseUrl + item.filemanagerUrl + '">'
                                    + '<img src="' + Jsw.skinUrl + '/img/icons/small/website-folder_16.gif"/>'
                                    + '</a>'
                                    + '</span> ';


                            content += !item.sitebuilderUrl
                                ? '<img src="' + Jsw.skinUrl + '/img/icons/small/spacer_16.gif" /> '
                                : '<span>'
                                    + '<span class="tooltipData">'
                                    + <?php echo $this->sitesList->jsLmsg('sitebuilderHint'); ?>
                                    + '</span>'
                                    + '<a href="' + Jsw.baseUrl + item.sitebuilderUrl + '" target="_blank">'
                                    + '<img src="' + Jsw.skinUrl + '/img/icons/small/sitebuilder_16.gif"/>'
                                    + '</a>'
                                    + '</span> ';

                            content += !item.sitebuilderLegacyUrl
                                ? ''
                                : '<span>'
                                    + '<span class="tooltipData">'
                                    + <?php echo $this->sitesList->jsLmsg('sitebuilderOldHint'); ?>
                                    + '</span>'
                                    + '<a href="' + item.sitebuilderLegacyUrl + '" target="_blank">'
                                    + '<img src="' + Jsw.skinUrl + '/img/icons/small/sitebuilder_16.gif"/>'
                                    + '</a>'
                                    + '</span> ';

                            content += !item.statisticsUrl
                                ? '<img src="' + Jsw.skinUrl + '/img/icons/small/spacer_16.gif" /> '
                                : '<span>'
                                    + '<span class="tooltipData">'
                                    + <?php echo $this->sitesList->jsLmsg('webstatisticsHint'); ?>
                                    + '</span>'
                                    + '<a href="#" onclick=\'' + item.statisticsUrl + '\'>'
                                    + '<img src="' + Jsw.skinUrl + '/img/icons/small/stats_16.gif"/>'
                                    + '</a>'
                                    + '</span> ';

                            content += !item.certificatesUrl
                                ? '<img src="' + Jsw.skinUrl + '/img/icons/small/spacer_16.gif" /> '
                                : '<span>'
                                    + '<span class="tooltipData">'
                                    + <?php echo $this->sitesList->jsLmsg('certificatesHint'); ?>
                                    + '</span>'
                                    + '<a href="' + Jsw.baseUrl + item.certificatesUrl + '">'
                                    + '<img src="' + Jsw.skinUrl + '/img/icons/small/ssl-cert_16.gif"/>'
                                    + '</a>'
                                    + '</span> ';

                            content += !item.logsUrl
                                ? '<img src="' + Jsw.skinUrl + '/img/icons/small/spacer_16.gif" /> '
                                : '<span>'
                                    + '<span class="tooltipData">'
                                    + <?php echo $this->sitesList->jsLmsg('logsHint'); ?>
                                    + '</span>'
                                    + '<a href="' + Jsw.baseUrl + item.logsUrl + '">'
                                    + '<img src="' + Jsw.skinUrl + '/img/icons/small/logs_16.gif"/>'
                                    + '</a>'
                                    + '</span> ';

                            content += !item.dnsUrl
                                ? '<img src="' + Jsw.skinUrl + '/img/icons/small/spacer_16.gif" /> '
                                : '<span>'
                                    + '<span class="tooltipData">'
                                    + <?php echo $this->sitesList->jsLmsg('dnsHint'); ?>
                                    + '</span>'
                                    + '<a href="' + Jsw.baseUrl + item.dnsUrl + '">'
                                    + '<img src="' + Jsw.skinUrl + '/img/icons/small/dns_16.gif"/>'
                                    + '</a>'
                                    + '</span> ';

                            return content;
                        }
                    }
                ],

                <?php $isWebspace = $this->currentSubscription->getDomain()->isWebspace(); ?>
                <?php if (($isWebspace && ($this->allowCreateDomain || $this->allowManageSubdomain)) || $this->allowManageDomainAliases): ?>
                    operations: [
                    null
                    <?php if ($isWebspace && $this->allowCreateDomain): ?>
                    ,{
                        componentType: 'Jsw.SmallButton',
                        id: 'buttonAddDomain',
                        cls: 's-btn sb-new-domain',
                        title: <?php echo $this->sitesList->jsLmsg('buttonAddDomain'); ?>,
                        description: <?php echo $this->sitesList->jsLmsg('buttonAddDomainHint'); ?> + <?php echo $this->jsEscape(' ' . $this->resourceUsage('max_site')); ?>,
                        handler: function() {
                            Jsw.redirect('/web/add-domain');
                        }
                    }
                    <?php endif; ?>
                    <?php if ($isWebspace && $this->allowManageSubdomain): ?>
                    ,{
                        componentType: 'Jsw.SmallButton',
                        id: 'buttonAddSubDomain',
                        cls: 's-btn sb-new-subdomain',
                        title: <?php echo $this->sitesList->jsLmsg('buttonAddSubdomain'); ?>,
                        description: <?php echo $this->sitesList->jsLmsg('buttonAddSubdomainHint'); ?> + <?php echo $this->jsEscape(' ' . $this->resourceUsage('max_subdom')); ?>,
                        handler: function() {
                            Jsw.redirect('/web/add-subdomain');
                        }
                    }
                    <?php endif; ?>
                    <?php if ($this->allowManageDomainAliases): ?>
                    ,{
                        componentType: 'Jsw.SmallButton',
                        id: 'buttonAddDomainAlias',
                        cls: 's-btn sb-domain-alias',
                        title: <?php echo $this->sitesList->jsLmsg('buttonAddDomainAlias'); ?>,
                        description: <?php echo $this->sitesList->jsLmsg('buttonAddDomainAliasHint'); ?> + <?php echo $this->jsEscape(' ' . $this->resourceUsage('max_dom_aliases')); ?>,
                        handler: function() {
                            Jsw.redirect('/web/add-domain-alias');
                        }
                    }
                    <?php endif; ?>
                    <?php if ($this->showMpcDomainsManagementButtons): ?>
                    ,{
                        componentType: 'Jsw.bar.Separator'
                    },
                    {
                        componentType: 'Jsw.SmallButton',
                        id: 'buttonRegisterDomain',
                        cls: 's-btn sb-register-domain',
                        title: <?php echo $this->sitesList->jsLmsg('buttonRegisterDomain'); ?>,
                        description: <?php echo $this->sitesList->jsLmsg('buttonRegisterDomainHint'); ?>,
                        href: '/web/mpc-register-domain',
                        target: '_blank'
                    },
                    {
                        componentType: 'Jsw.SmallButton',
                        id: 'buttonManageDomains',
                        cls: 's-btn sb-manage-domains',
                        title: <?php echo $this->sitesList->jsLmsg('buttonManageDomains'); ?>,
                        description: <?php echo $this->sitesList->jsLmsg('buttonManageDomainsHint'); ?>,
                        href: '/web/mpc-manage-domains',
                        target: '_blank'
                    }
                    <?php endif; ?>
                    <?php if ($isWebspace && ($this->allowCreateDomain || $this->allowManageSubdomain) || $this->allowManageDomainAliases): ?>
                    ,{
                        componentType: 'Jsw.bar.Separator'
                    },
                    {
                        componentType: 'Jsw.SmallButton',
                        id: 'buttonRemoveSite',
                        title: <?php echo $this->sitesList->jsLmsg('buttonRemove'); ?>,
                        description: <?php echo $this->sitesList->jsLmsg('buttonRemoveHint'); ?>,
                        cls: 's-btn sb-remove-selected',
                        handler: function() {
                            Jsw.getComponent('sites-list').execGroupOperation({
                                url: '/web/delete/',
                                subtype: 'delete',
                                locale: {
                                    confirmOnGroupOperation: <?php echo $this->sitesList->jsLmsg('removeConfirmation'); ?>
                                },

                                isAjax: <?php echo $this->isHomonymSearchEnabled ? 'true' : 'false' ?>,
                                requestUrl: '/web/search-homonym-data/',
                                loadingTitle: <?php echo $this->jsLmsg('components.homonyms.loading'); ?>
                            });
                        }
                    }
                    <?php endif; ?>],
                <?php endif; ?>

                onRedraw: function() {
                    $('sites-list').select('input[name="listCheckbox[]"]').each(function(checkbox) {
                        checkbox.observe('click', function() {
                            // if domain selected
                            if ('undefined' == typeof checkbox.up('tr').down('div.level1')) {
                                var nextRows = checkbox.up('tr').nextSiblings();
                                nextRows.each(function(rowElement) {
                                    if ('undefined' == typeof rowElement.down('div.level1')) {
                                        throw $break;
                                    }
                                    rowElement.down('input[name="listCheckbox[]"]').checked = checkbox.checked;
                                    if (checkbox.checked) {
                                        rowElement.addClassName('selected');
                                    } else {
                                        rowElement.removeClassName('selected');
                                    }
                                });
                            } else {
                                var prevRows = checkbox.up('tr').previousSiblings();
                                prevRows.each(function(rowElement) {
                                    if ('undefined' == typeof rowElement.down('div.level1')) {
                                        if (!checkbox.checked) {
                                            var parentCheckbox = rowElement.down('input[name="listCheckbox[]"]');
                                            if (parentCheckbox) {
                                                parentCheckbox.checked = false;
                                                rowElement.removeClassName('selected');
                                            }
                                        }
                                        throw $break;
                                    }
                                });
                            }
                        });
                    });
                }
            })
        ]
    });

});
//]]>
</script>
